Assigns a group to a web service.
Permissions: SystemAdministrator, SupportAdministrator users.
Path Parameters
- Type: stringFormat: uuididrequired
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Request model for POST .../{id}/Groups. GrantOptions: 0 = this group only, 1 = this group and parents, 2 = this group and children, 3 = this group and parents and children.
- Type: string | nullComment
- Type: integerFormat: int32Grant
Options min:0max:3Signed 32-bit integers (commonly used integer type).
- Type: stringFormat: uuidGroup
I D
Responses
- 200
OK
Request Example for post/v2/Subscriptions/WebServices/{id}/Groups
curl /v2/Subscriptions/WebServices/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/Groups \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"GroupID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"GrantOptions": 0,
"Comment": null
}'
No Body
